Package org.linphone.core

# Class ChatMessageListenerStub

java.lang.Object
org.linphone.core.ChatMessageListenerStub

All Implemented Interfaces:
  `ChatMessageListener`

public class ChatMessageListenerStub extends Object implements ChatMessageListener

## Constructor Summary

Constructors
Constructor
Description
`ChatMessageListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onContentEdited(ChatMessage message)`
Gets the content edited callback.
`void`
`onEphemeralMessageDeleted(ChatMessage message)`
Get the ephemeral message deleted callback.
`void`
`onEphemeralMessageTimerStarted(ChatMessage message)`
Get the current "ephemeral message timer started" callback.
`void`
`onFileTransferProgressIndication(ChatMessage message, Content content, int offset, int total)`
Get the file transfer progress indication callback.
`void`
`onFileTransferRecv(ChatMessage message, Content content, Buffer buffer)`
Get the file transfer receive callback.
`Buffer`
`onFileTransferSend(ChatMessage message, Content content, int offset, int size)`
Get the file transfer send callback.
`void`
`onFileTransferSendChunk(ChatMessage message, Content content, int offset, int size, Buffer buffer)`
Get the file transfer send callback.
`void`
`onFileTransferTerminated(ChatMessage message, Content content)`
Get the download file transfer terminated callback.
`void`
`onMsgStateChanged(ChatMessage message, ChatMessage.State state)`
Get the message state changed callback.
`void`
`onNewMessageReaction(ChatMessage message, ChatMessageReaction reaction)`
Get the new reaction callback.
`void`
`onParticipantImdnStateChanged(ChatMessage message, ParticipantImdnState state)`
Get the participant IMDN state changed callback.
`void`
`onReactionRemoved(ChatMessage message, Address address)`
Gets the removed reaction callback.
`void`
`onRetracted(ChatMessage message)`
Gets the retracted callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChatMessageListenerStub

public ChatMessageListenerStub()

## Method Details

### onMsgStateChanged

public void onMsgStateChanged(@NonNull ChatMessage message, ChatMessage.State state)
Description copied from interface: `ChatMessageListener`
Get the message state changed callback.

Specified by:
  `onMsgStateChanged` in interface `ChatMessageListener`

### onNewMessageReaction

public void onNewMessageReaction(@NonNull ChatMessage message, @NonNull ChatMessageReaction reaction)
Description copied from interface: `ChatMessageListener`
Get the new reaction callback.

Specified by:
  `onNewMessageReaction` in interface `ChatMessageListener`

### onReactionRemoved

public void onReactionRemoved(@NonNull ChatMessage message, @NonNull Address address)
Description copied from interface: `ChatMessageListener`
Gets the removed reaction callback.

Specified by:
  `onReactionRemoved` in interface `ChatMessageListener`

### onContentEdited

public void onContentEdited(@NonNull ChatMessage message)
Description copied from interface: `ChatMessageListener`
Gets the content edited callback.

Specified by:
  `onContentEdited` in interface `ChatMessageListener`

### onRetracted

public void onRetracted(@NonNull ChatMessage message)
Description copied from interface: `ChatMessageListener`
Gets the retracted callback.

Specified by:
  `onRetracted` in interface `ChatMessageListener`

### onFileTransferTerminated

public void onFileTransferTerminated(@NonNull ChatMessage message, @NonNull Content content)
Description copied from interface: `ChatMessageListener`
Get the download file transfer terminated callback.
warning: this callback is called everytime a message attachment is downloaded.
For a message with more than one attachment, this callback will be called as
many times as attachments in the message.

Specified by:
  `onFileTransferTerminated` in interface `ChatMessageListener`

### onFileTransferRecv

public void onFileTransferRecv(@NonNull ChatMessage message, @NonNull Content content, @NonNull Buffer buffer)
Description copied from interface: `ChatMessageListener`
Get the file transfer receive callback.

Specified by:
  `onFileTransferRecv` in interface `ChatMessageListener`

### onFileTransferSend

public Buffer onFileTransferSend(@NonNull ChatMessage message, @NonNull Content content, int offset, int size)
Description copied from interface: `ChatMessageListener`
Get the file transfer send callback.

Specified by:
  `onFileTransferSend` in interface `ChatMessageListener`
Returns:
  The current file transfer send callback.
  deprecated: 17/08/2020 Use
  linphone_chat_message_cbs_get_file_transfer_send_chunk instead.

### onFileTransferSendChunk

public void onFileTransferSendChunk(@NonNull ChatMessage message, @NonNull Content content, int offset, int size, @NonNull Buffer buffer)
Description copied from interface: `ChatMessageListener`
Get the file transfer send callback.

Specified by:
  `onFileTransferSendChunk` in interface `ChatMessageListener`

### onFileTransferProgressIndication

public void onFileTransferProgressIndication(@NonNull ChatMessage message, @NonNull Content content, int offset, int total)
Description copied from interface: `ChatMessageListener`
Get the file transfer progress indication callback.

Specified by:
  `onFileTransferProgressIndication` in interface `ChatMessageListener`

### onParticipantImdnStateChanged

public void onParticipantImdnStateChanged(@NonNull ChatMessage message, @NonNull ParticipantImdnState state)
Description copied from interface: `ChatMessageListener`
Get the participant IMDN state changed callback.

Specified by:
  `onParticipantImdnStateChanged` in interface `ChatMessageListener`

### onEphemeralMessageTimerStarted

public void onEphemeralMessageTimerStarted(@NonNull ChatMessage message)
Description copied from interface: `ChatMessageListener`
Get the current "ephemeral message timer started" callback.
This callback is called when the message deletion timer starts (the message has
been viewed).

Specified by:
  `onEphemeralMessageTimerStarted` in interface `ChatMessageListener`

### onEphemeralMessageDeleted

public void onEphemeralMessageDeleted(@NonNull ChatMessage message)
Description copied from interface: `ChatMessageListener`
Get the ephemeral message deleted callback.
This callback is used when a message deletion timer runs out (message is
deleted).

Specified by:
  `onEphemeralMessageDeleted` in interface `ChatMessageListener`